Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 160247 - freetype-config returns rpath
Summary: freetype-config returns rpath
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: freetype
Version: rawhide
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
Assignee: David Zeuthen
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-13 20:26 UTC by jeroen
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-21 20:17:09 UTC


Attachments (Terms of Use)

Description jeroen 2005-06-13 20:26:48 UTC
[jeroen@anduril cairo]$ freetype-config --libs
-L/usr/lib64 -Wl,--rpath -Wl,/usr/lib64 -lfreetype -lz
[jeroen@anduril cairo]$ which freetype-config
/usr/bin/freetype-config
[jeroen@anduril cairo]$ rpm -qf /usr/bin/freetype-config
freetype-devel-2.1.9-3

The "--rpath" in there is causing me immense grief. Gnome 2.11 built using
jhbuild refuses to listen to LD_LIBRARY_PATH and instead links to the libs in
/usr/lib64. freetype-config should not be specifying a runpath. The runpath
takes precedent over LD_LIBRARY_PATH.

Comment 1 jeroen 2005-06-14 12:04:42 UTC
The freetype-devel rpm that i have installed comes from a rebuild of the source 
rpm from Fedora. Why that contains the --rpath parameter is beyond me.

Comment 2 jeroen 2005-06-21 19:16:11 UTC
The freetype2-devel rpm from rawhide also contains the --rpath param.

Comment 3 Matthias Clasen 2005-10-21 20:17:09 UTC
Jeroen, this is fixed, right ?

Comment 4 jeroen 2005-10-26 07:51:53 UTC
Yep, thanks.


Note You need to log in before you can comment on or make changes to this bug.